Bug 163034 - [update] sysutils/bacula-server Update to 5.2.2
Summary: [update] sysutils/bacula-server Update to 5.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-03 09:50 UTC by komarov
Modified: 2011-12-12 21:37 UTC (History)
0 users

See Also:


Attachments
file.diff (23.70 KB, patch)
2011-12-03 09:50 UTC, komarov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description komarov 2011-12-03 09:50:08 UTC
sysutils/bacula-server Update to 5.2.2

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-12-03 09:50:19 UTC
Maintainer of sysutils/bacula-server,

Please note that PR ports/163034 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163034

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-12-03 09:50:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dan Langille 2011-12-03 17:45:37 UTC
Patch approved by maintainer.  Thank you very much for your work.  I =
appreciate and so will all our Bacula users.  :)

Notes for committer.

I wasn't sure how to apply the patch.  First I tried:

  cd baucla-server
  patch < ../patch.txt

That caused patching errors.  Then I tried:

  cd ..
  patch < patch.txt

This seems to work, but then I had to do this:

  mv -i extra__manpages__Makefile.in* bacula-server/files/
  mv -i patch-* bacula-server/files/

If I did not do those moves, when compiling bacula-client, I got:

=3D=3D=3D>  Patching for bacula-client-5.2.2
=3D=3D=3D>  Applying extra patch =
/usr/home/dan/src/sysutils/bacula-client/../bacula-server/files/extra__man=
pages__Makefile.in
cannot open =
/usr/home/dan/src/sysutils/bacula-client/../bacula-server/files/extra__man=
pages__Makefile.in: No such file or directory
*** Error code 2


This patch removes a few files.  After patching, you'll see files of =
size zero in bacula-server/files:

-rw-r--r--  1 root  wheel     0 Dec  3 16:44 patch-configure
-rw-r--r--  1 root  wheel     0 Dec  3 16:44 =
patch-src__dird__Makefile.in
-rw-r--r--  1 root  wheel     0 Dec  3 16:44 =
patch-src__stored__Makefile.in
-rw-r--r--  1 root  wheel     0 Dec  3 16:44 =
patch-src__tools__Makefile.in

So I did this:

rm patch-configure patch-src__dird__Makefile.in =
patch-src__stored__Makefile.in patch-src__tools__Makefile.in

--=20
Dan Langille - http://langille.org
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-12-03 22:14:30 UTC
State Changed
From-To: feedback->open
Comment 5 Pawel Pekala freebsd_committer 2011-12-04 11:46:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter service freebsd_committer 2011-12-12 21:12:02 UTC
pawel       2011-12-12 21:11:48 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-bat  Makefile 
    sysutils/bacula-docs Makefile distinfo 
    sysutils/bacula-server Makefile distinfo pkg-plist 
    sysutils/bacula-server/files patch-src__cats__Makefile.in 
                                 patch-src__findlib__Makefile.in 
                                 patch-src__lib__Makefile.in 
  Added files:
    sysutils/bacula-server/files extra__manpages__Makefile.in 
                                 patch-manpages__Makefile.in 
                                 patch-src__cats__install-default-backend.in 
  Removed files:
    sysutils/bacula-server/files patch-configure 
                                 patch-src__dird__Makefile.in 
                                 patch-src__stored__Makefile.in 
                                 patch-src__tools__Makefile.in 
  Log:
  - update bacula to version 5.2.2 [1]
  - update bacula-docs to version 5.2.2 [2]
  
  PR:             ports/163034 [1], ports/163044 [2]
  Approved by:    maintainer [1]
  Submitted by:   Valery Komaorv <komarov@valerka.net> [1], maintainer [2]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.13      +0 -1      ports/sysutils/bacula-bat/Makefile
  1.22      +1 -1      ports/sysutils/bacula-docs/Makefile
  1.23      +4 -4      ports/sysutils/bacula-docs/distinfo
  1.131     +12 -9     ports/sysutils/bacula-server/Makefile
  1.55      +2 -2      ports/sysutils/bacula-server/distinfo
  1.1       +16 -0     ports/sysutils/bacula-server/files/extra__manpages__Makefile.in (new)
  1.12      +0 -11     ports/sysutils/bacula-server/files/patch-configure (dead)
  1.1       +18 -0     ports/sysutils/bacula-server/files/patch-manpages__Makefile.in (new)
  1.8       +26 -6     ports/sysutils/bacula-server/files/patch-src__cats__Makefile.in
  1.1       +26 -0     ports/sysutils/bacula-server/files/patch-src__cats__install-default-backend.in (new)
  1.3       +0 -17     ports/sysutils/bacula-server/files/patch-src__dird__Makefile.in (dead)
  1.3       +4 -4      ports/sysutils/bacula-server/files/patch-src__findlib__Makefile.in
  1.3       +11 -11    ports/sysutils/bacula-server/files/patch-src__lib__Makefile.in
  1.2       +0 -62     ports/sysutils/bacula-server/files/patch-src__stored__Makefile.in (dead)
  1.2       +0 -77     ports/sysutils/bacula-server/files/patch-src__tools__Makefile.in (dead)
  1.27      +6 -2      ports/sysutils/bacula-server/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2011-12-12 21:37:06 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!